Package org.apache.solr.client.solrj.request

# Class DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse>

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<R>
org.apache.solr.client.solrj.request.DelegationTokenRequest<Q,R>

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DelegationTokenRequest.Cancel`, `DelegationTokenRequest.Get`, `DelegationTokenRequest.Renew`

public abstract class DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse> extends SolrRequest<R>
Class for making Solr delegation token requests.

Since:
  Solr 6.2
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DelegationTokenRequest.Cancel`
`static class`
`DelegationTokenRequest.Get`
`static class`
`DelegationTokenRequest.Renew`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`OP_KEY`
`protected static final String`
`TOKEN_KEY`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`DelegationTokenRequest(SolrRequest.METHOD m)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract R`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`protected abstract Q`
`getThis()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getParams, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OP_KEY

protected static final String OP_KEY

See Also:
  - Constant Field Values

### TOKEN_KEY

protected static final String TOKEN_KEY

See Also:
  - Constant Field Values

## Constructor Details

### DelegationTokenRequest

public DelegationTokenRequest(SolrRequest.METHOD m)

## Method Details

### getThis

protected abstract Q getThis()

### createResponse

protected abstract R createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<R extends DelegationTokenResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.